# pull official base image
FROM node:14.18.1-alpine

# set working directory
WORKDIR /

# add `/node_modules/.bin` to $PATH
ENV PATH /node_modules/.bin:$PATH

# install app dependencies
COPY package.json /
COPY package-lock.json /
RUN npm install --silent

# add
COPY . /

# start app
CMD ["npm", "start"]